#1985 closed defect (fixed)

Unused file: cpukit/telnetd/icmds.c

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The file cpukit/telnetd/icmds.c seems unused.

The only function it exports ("_rtems_telnetd_register_icmds") is not
declared in any header and therefore is not accessible without applying
trickery.

I'd suggest to either remove this file or to rename _rtems_telnetd_register_icmds into rtems_telnetd_register_icmds
(to denote this function is public) and move it to a public header.

As with similar findings before, I am not sure about what is desired and what to do about.

Change History (3)

comment:1 Changed on Dec 9, 2011 at 5:21:45 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:2 Changed on Dec 10, 2011 at 1:38:05 PM by Joel Sherrill

Thanks for spotting that. I was so intent on deleting it, I forgot it was could have been compiled.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.